2013年4月16日火曜日

なんかエラーでてる


gem install libv8 -v '3.11.8.17'

したらエラー出る


Unable to find a compiler officially supported by v8.
It is recommended to use GCC v4.4 or higher
../src/platform-freebsd.cc:46:56: error: execinfo.h: No such file or directory
../src/platform-freebsd.cc: In static member function 'static int v8::internal::OS::StackWalk(v8::internal::Vector<v8::internal::OS::StackFrame>)':
../src/platform-freebsd.cc:302: error: 'backtrace' was not declared in this scope
../src/platform-freebsd.cc:304: error: 'backtrace_symbols' was not declared in this scope

なんかエラーでる


対処方法わからじ。。。

なんでこれやってるのかもわからなくなって来た。。。

gccのバージョンが古いみたいなのでとりあえず新しいバージョンしらべて

pkg_add -r ftp://ftp.freebsd.org/pub/FreeBSD/ports/amd64/packages-9.1-release/Latest/gcc48.tbz

⬆これに行き着くまでに
pkg_add -r gcc44
とかやってみたけど

%pkg_add -r gcc
Error: Unable to get ftp://ftp.freebsd.org/pub/FreeBSD/ports/amd64/packages-8.1-release/Latest/gcc44.tbz: File unavailable (e.g., file not found, no access)
pkg_add: unable to fetch 'ftp://ftp.freebsd.org/pub/FreeBSD/ports/amd64/packages-8.1-release/Latest/gcc44.tbz' by URL

とかでる

そりゃそーだろ ftp://ftp.freebsd.org/pub/FreeBSD/ports/amd64/packages-8.1-release なんてないんだから

あれ
pkg_add -r ftp://ftp.freebsd.org/pub/FreeBSD/ports/amd64/packages-9.1-release/Latest/gcc48.tbz
でもだめだな


ーーーーーーーーーーーーーーーーーー
もうむり さくらのレンタルサーバだとなかなかやりずらい
使い方が悪かった

rootなしでいろいろやろうとするとこんなに使いずらいことがわかった。

いまではさくらVPSに乗り換えて快適だ。

0 件のコメント:

コメントを投稿